public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Robin H. Johnson" <robbat2@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-lua/lgi/
Date: Sat,  2 Nov 2019 04:41:03 +0000 (UTC)	[thread overview]
Message-ID: <1572669644.a9b645ada9f98ac46bd4123f026014e6be82aea2.robbat2@gentoo> (raw)

commit:     a9b645ada9f98ac46bd4123f026014e6be82aea2
Author:     David Heidelberg <david <AT> ixit <DOT> cz>
AuthorDate: Thu Oct 17 13:12:58 2019 +0000
Commit:     Robin H. Johnson <robbat2 <AT> gentoo <DOT> org>
CommitDate: Sat Nov  2 04:40:44 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a9b645ad

dev-lua/lgi: bump to 0.9.2

Closes: https://bugs.gentoo.org/664696
Signed-off-by: David Heidelberg <david <AT> ixit.cz>
(cherry picked from commit fed3c8e568a0711d3383c769ce6e4002ba630a5b)
Signed-off-by: Robin H. Johnson <robbat2 <AT> gentoo.org>
Closes: https://github.com/gentoo/gentoo/pull/13327

 dev-lua/lgi/Manifest         |  1 +
 dev-lua/lgi/lgi-0.9.2.ebuild | 56 ++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 57 insertions(+)

diff --git a/dev-lua/lgi/Manifest b/dev-lua/lgi/Manifest
index 6b2058d953c..d524219d4cf 100644
--- a/dev-lua/lgi/Manifest
+++ b/dev-lua/lgi/Manifest
@@ -1,3 +1,4 @@
 DIST lgi-0.6.2.tar.gz 257541 BLAKE2B 61d58b1b03fe01d43384693b21336149b06a04e638a32f46e685e0f6f1e7ad693ec3074af3ffcc789f053a2a085a58b41b81023f3b023625309f0f4ed6ae6cff SHA512 02b75f17f98d7f7240c335384a85cdb0bb1c1b117b4ea8baa065715c4e5ecac946618ef83f92ef476a87db3a17a29a0e21d71f4f79db3bc4e519cf795ae181f5
 DIST lgi-0.7.2.tar.gz 270767 BLAKE2B 491fafccbf4d8c5086b48baad0022a76a1f829e0c9a55acbfbd4eaa283c2713ef3f4863a2abf12d24bae0ccb2284506da66578c2d26ab6bda3f6d891c39a8ff4 SHA512 e661e13d6f539c2c434a6b0db9e622ee4af3c039a6488617954643f0b46a908068a14e6d37ff44437fbe5b4cb62863699107ab533aca121d4b8d584ca83c35fc
 DIST lgi-0.9.0.tar.gz 285248 BLAKE2B e5e6fe79899b70f46338827296b921c04c31ac1edc82e5c7a1d443c54c409aea65a766f3666b0ff9fca63a17cb50fe9727d0722007b16a1d4a6c77c48b9f3828 SHA512 1a486a40f504740224b1d277368df65e0a30708c02422390517c2fbf961b5fec264bdbc695d306e2f5fb2aa8ad4539212ef5314b18f45e3b488fd5f492a19f9e
+DIST lgi-0.9.2.tar.gz 291463 BLAKE2B d89752e7c56f9a695f97f90680515fd9acab57991121ec3455fcd88aa0b64828f060d9bf222fb1ab14bdfc956ec3ad296af848168532d09694a0cacbb55dac71 SHA512 755a96b78530f42da6d4e2664f8e37cb07a356419e7e6448003c3f841c9d98ad18b851715d9eb203ea7eb27b13ec46223fa8a1c90a99fd12960ce85b0a695335

diff --git a/dev-lua/lgi/lgi-0.9.2.ebuild b/dev-lua/lgi/lgi-0.9.2.ebuild
new file mode 100644
index 00000000000..fdd136c1aeb
--- /dev/null
+++ b/dev-lua/lgi/lgi-0.9.2.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+VIRTUALX_REQUIRED="manual"
+
+inherit eutils toolchain-funcs flag-o-matic virtualx
+
+DESCRIPTION="Lua bindings using gobject-introspection"
+HOMEPAGE="https://github.com/pavouk/lgi"
+SRC_URI="https://github.com/pavouk/lgi/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~ppc ~ppc64 ~x86"
+IUSE="examples test"
+
+BDEPEND="virtual/pkgconfig"
+RDEPEND=">=dev-lang/lua-5.1:=
+		dev-libs/gobject-introspection
+		dev-libs/glib
+		virtual/libffi:0="
+DEPEND="${RDEPEND}
+		test? (
+			x11-libs/cairo[glib]
+			x11-libs/gtk+[introspection]
+			${VIRTUALX_DEPEND}
+		)"
+
+src_prepare() {
+	default
+
+	sed -i \
+		-e "s:^LUA_LIBDIR.*$:LUA_LIBDIR = $($(tc-getPKG_CONFIG) --variable INSTALL_CMOD lua):" \
+		-e "s:^LUA_SHAREDIR.*$:LUA_SHAREDIR = $($(tc-getPKG_CONFIG) --variable INSTALL_LMOD lua):" \
+		"${S}"/lgi/Makefile || die "sed failed"
+}
+
+src_compile() {
+	emake CC="$(tc-getCC)" COPTFLAGS="-Wall -Wextra ${CFLAGS}" LIBFLAG="-shared ${LDFLAGS}"
+}
+
+src_test() {
+	virtx emake CC="$(tc-getCC)" COPTFLAGS="-Wall -Wextra ${CFLAGS}" LIBFLAG="-shared ${LDFLAGS}" check
+}
+
+src_install() {
+	emake DESTDIR="${D}" install
+	docompress -x /usr/share/doc/${PF}
+	dodoc README.md
+	dodoc -r docs/*
+	if use examples; then
+		dodoc -r samples
+	fi
+}


             reply	other threads:[~2019-11-02  4:41 UTC|newest]

Thread overview: 16+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2019-11-02  4:41 Robin H. Johnson [this message]
  -- strict thread matches above, loose matches on Subject: below --
2022-12-05 17:24 [gentoo-commits] repo/gentoo:master commit in: dev-lua/lgi/ WANG Xuerui
2022-02-15 23:38 Conrad Kostecki
2021-09-18 12:29 Marek Szuba
2021-03-26 19:46 Conrad Kostecki
2020-12-03 13:50 Marek Szuba
2020-11-29  0:28 Robin H. Johnson
2020-11-16 22:53 Sergei Trofimovich
2020-09-19 16:40 Aaron Bauman
2020-09-13 21:03 Sam James
2020-08-05 13:53 Agostino Sarubbo
2020-08-04  4:21 Sam James
2020-08-02 11:48 Sergei Trofimovich
2019-11-13  2:10 Aaron Bauman
2019-09-20 19:08 Sergei Trofimovich
2019-09-19  7:40 Sergei Trofimovich

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1572669644.a9b645ada9f98ac46bd4123f026014e6be82aea2.robbat2@gentoo \
    --to=robbat2@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox